/* eslint-disable import/no-cycle */

/* SETTINGS */
export const CHANGE_LOCALE = 'CHANGE_LOCALE';

/* AUTH */
export const LOGIN_USER = 'LOGIN_USER';
export const LOGIN_USER_SUCCESS = 'LOGIN_USER_SUCCESS';
export const LOGIN_USER_ERROR = 'LOGIN_USER_ERROR';
export const REGISTER_USER = 'REGISTER_USER';
export const REGISTER_USER_SUCCESS = 'REGISTER_USER_SUCCESS';
export const REGISTER_USER_ERROR = 'REGISTER_USER_ERROR';
export const LOGOUT_USER = 'LOGOUT_USER';
export const FORGOT_PASSWORD = 'FORGOT_PASSWORD';
export const FORGOT_PASSWORD_SUCCESS = 'FORGOT_PASSWORD_SUCCESS';
export const FORGOT_PASSWORD_ERROR = 'FORGOT_PASSWORD_ERROR';
export const RESET_PASSWORD = 'RESET_PASSWORD';
export const RESET_PASSWORD_SUCCESS = 'RESET_PASSWORD_SUCCESS';
export const RESET_PASSWORD_ERROR = 'RESET_PASSWORD_ERROR';

/* MODULES ACTIONS */

/* USERS */
export const LOAD_USERS_REQUESTED = 'LOAD_USERS_REQUESTED';
export const LOAD_USERS_SUCCESS = 'LOAD_USERS_SUCCESS';
export const LOAD_USERS_ERROR = 'LOAD_USERS_ERROR';

/* PROGRESS */

export const LOAD_PROGRESS_REQUESTED = 'LOAD_PROGRESS_REQUESTED';
export const LOAD_PROGRESS_SUCCESS = 'LOAD_PROGRESS_SUCCESS';
export const LOAD_PROGRESS_ERROR = 'LOAD_PROGRESS_ERROR';

/* EVALUATIONS */
export const LOAD_EVALUATIONS_REQUESTED = 'LOAD_EVALUATIONS_REQUESTED';
export const LOAD_EVALUATIONS_SUCCESS = 'LOAD_EVALUATIONS_SUCCESS';
export const LOAD_EVALUATIONS_ERROR = 'LOAD_EVALUATIONS_ERROR';

/* Polls */
export const  LOAD_POLLS_REQUESTED = 'LOAD_POLLS_REQUESTED';
export const  LOAD_POLLS_SUCCESS = 'LOAD_POLLS_SUCCESS';
export const  LOAD_POLLS_ERROR = 'LOAD_POLLS_ERROR';

/* MENU */
export const MENU_SET_CLASSNAMES = 'MENU_SET_CLASSNAMES';
export const MENU_CONTAINER_ADD_CLASSNAME = 'MENU_CONTAINER_ADD_CLASSNAME';
export const MENU_CLICK_MOBILE_MENU = 'MENU_CLICK_MOBILE_MENU';
export const MENU_CHANGE_DEFAULT_CLASSES = 'MENU_CHANGE_DEFAULT_CLASSES';
export const MENU_CHANGE_HAS_SUB_ITEM_STATUS =
  'MENU_CHANGE_HAS_SUB_ITEM_STATUS';
  
export * from './auth/actions'
export * from './menu/actions'
export * from './settings/actions'
export * from './miusers/actions'
export * from './miprogress/actions'
export * from './mievaluations/actions'
export * from './mipolls/actions'


